<script setup lang="ts">
import { defineEmits } from 'vue';
import SearchIcon from 'vue-material-design-icons/Magnify.vue';

const props = defineProps({
  modelValue: String
})

const emit = defineEmits(['update:modelValue', 'search'])

function updateValue(value: any) {
  emit('update:modelValue', value.target.value)
}
function applySearch(){
  emit('search')
}
</script>

<template>
  <div>
    <input type="text" :value="props.modelValue" v-on:input="updateValue($event)" />
    <SearchIcon title="Search" fillColor="#11B0C8" :size="32" @click="applySearch()" class="flex clickable"/>
  </div>
</template>

<style scoped>
.custom-select {
    position: relative;
    width: 100%;
    text-align: left;
    outline: none;
    height: 47px;
    line-height: 47px;
  }

.custom-select .selected {
  background-color: #0a0a0a;
  border-radius: 6px;
  border: 1px solid #666666;
  color: #fff;
  padding-left: 1em;
  cursor: pointer;
  user-select: none;
}

.custom-select .selected.open {
  border: 1px solid #ad8225;
  border-radius: 6px 6px 0px 0px;
}

.custom-select .selected:after {
  position: absolute;
  content: "";
  top: 22px;
  right: 1em;
  width: 0;
  height: 0;
  border: 5px solid transparent;
  border-color: #fff transparent transparent transparent;
}

.custom-select .items {
  color: #fff;
  border-radius: 0px 0px 6px 6px;
  overflow: hidden;
  border-right: 1px solid #ad8225;
  border-left: 1px solid #ad8225;
  border-bottom: 1px solid #ad8225;
  position: absolute;
  background-color: #0a0a0a;
  left: 0;
  right: 0;
  z-index: 1;
}

.custom-select .items div {
  color: #fff;
  padding-left: 1em;
  cursor: pointer;
  user-select: none;
}

.custom-select .items div:hover {
  background-color: #ad8225;
}

.selectHide {
  display: none;
}

input[type="text"]{
  width: 100%;
  padding: 1rem;
  border: 0;
  background-color: transparent;
  color: var(--color-text);
  font-family: 'Poppins';
  font-size: 1rem;
}
input[type="text"]:focus {
  border: 0;
  outline: none!important;
}
</style>
